Skip to main content
GET
/
stats
/
api
/
v1
/
aggregations
/
balance
Get Balance Aggregation
curl --request GET \
  --url https://api.example.com/stats/api/v1/aggregations/balance
{
  "value": [
    {
      "trader": "<string>",
      "strategyIdHash": "<string>",
      "amount": "<string>",
      "timestamp": 123
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

trader
string

The trader address, with the discriminant prefix.

strategyId
string

The strategy ID.

limit
integer
default:500

The number of rows to return

aggregationPeriod
enum<string>
default:day

The period for the aggregation.

Available options:
week,
day,
hour,
minute
lookbackCount
integer
default:60

The number of periods to look back from present.

Response

Balance aggregation data

Successful response for the Balance API

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026